"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNodeExecPath = getNodeExecPath;
const fs_1 = require("fs");
const which_1 = __importDefault(require("which"));
async function getNodeExecPath() {
    try {
        // The system default Node.js executable is preferred
        // not the one used to run the pnpm CLI.
        const nodeExecPath = await (0, which_1.default)('node');
        return fs_1.promises.realpath(nodeExecPath);
    }
    catch (err) { // eslint-disable-line
        if (err['code'] !== 'ENOENT')
            throw err;
        return process.env.NODE ?? process.execPath;
    }
}
//# sourceMappingURL=nodeExecPath.js.map